Bug 1419898 - Documentation inaccurate for __com.redhat_qxl_screendump and __com.redhat_drive_add
Summary: Documentation inaccurate for __com.redhat_qxl_screendump and __com.redhat_dri...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Markus Armbruster
QA Contact: Chao Yang
URL:
Whiteboard:
Depends On: 1419897
Blocks: 1419899
TreeView+ depends on / blocked
 
Reported: 2017-02-07 11:08 UTC by Markus Armbruster
Modified: 2017-08-01 17:46 UTC (History)
8 users (show)

Fixed In Version: qemu-kvm-1.5.3-131.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1419897
: 1419899 (view as bug list)
Environment:
Last Closed: 2017-08-01 17:46:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1856 0 normal SHIPPED_LIVE Moderate: qemu-kvm security, bug fix, and enhancement update 2017-08-01 18:03:36 UTC

Description Markus Armbruster 2017-02-07 11:08:51 UTC
+++ This bug was initially created as a clone of Bug #1419897 +++

Description of problem:
qemu-info.html section "3.5.1 Commands" documents __com.redhat_screendump instead of __com.redhat_qxl_screendump

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. View usr/share/doc/qemu-kvm-0.12.1.2/qemu-doc.html
2. Search for _screendump
3.

Actual results:
Search finds
‘__com.redhat_screendump id filename’

    Save screen from qxl device id into PPM image filename. 

Expected results:
Should instead find
‘__com.redhat_qxl_screendump id filename’

    Save screen from qxl device id into PPM image filename. 

Additional info:
The typo is in qemu-monitor.hx.

Comment 1 Markus Armbruster 2017-02-07 11:09:59 UTC
The typo has moved from qemu-monitor.hx to in hmp-commands.hx.

Comment 3 Markus Armbruster 2017-02-07 14:54:28 UTC
Another doc bug:

‘__com.redhat_drive_add’

    Create a drive similar to -device if=none. 

This should be "similar to -drive if=none".

Comment 4 Miroslav Rezanina 2017-02-10 12:20:56 UTC
Fix included in qemu-kvm-1.5.3-131.el7

Comment 6 Chao Yang 2017-05-03 09:38:18 UTC
$ git diff qemu-kvm-1.5.3-130.el7/usr/share/doc/qemu-kvm/qemu-doc.html qemu-kvm-1.5.3-137.el7/usr/share/doc/qemu-kvm/qemu-doc.html

...

-<dt><samp>__com.redhat_screendump <var>id</var> <var>filename</var></samp></dt>
-<dd><a name="index-_005f_005fcom_002eredhat_005fscreendump"></a>
+<dt><samp>__com.redhat_qxl_screendump <var>id</var> <var>filename</var></samp></dt>
+<dd><a name="index-_005f_005fcom_002eredhat_005fqxl_005fscreendump"></a>

...

 <dt><samp>__com.redhat_drive_add</samp></dt>
 <dd><a name="index-_005f_005fcom_002eredhat_005fdrive_005fadd"></a>
-<p>Create a drive similar to -device if=none.
+<p>Create a drive similar to -drive if=none.

...

Setting VERIFIED accordingly.

Comment 7 errata-xmlrpc 2017-08-01 17:46:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1856


Note You need to log in before you can comment on or make changes to this bug.